using UnityEngine.UI;
using UnityEngine.EventSystems;

public class ScrollRectWrap : ScrollRect {

    private bool isScroll = false;
    public bool IsScroll{
        get{ return isScroll; }
    }
    
    public override void OnBeginDrag(PointerEventData eventData){
        base.OnBeginDrag(eventData);
        isScroll = true;
    }

    public override void OnEndDrag(PointerEventData eventData){
        base.OnEndDrag(eventData);
        isScroll = false;
    }
}


